明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1420|回复: 5

搞不定!难道--

[复制链接]
发表于 2012-8-5 15:11 | 显示全部楼层 |阅读模式
请知者指点!先行谢过!
倒圆角命令 设置r为0,会经常使用。可是以下代码不知哪里有误,运行没有效果。;修剪或延伸直线
(defun c:ff()
(setvar "osmode" 0)
(setq f1(car(entsel)) f2(car(entsel)))
(command "_FILLET" "R" "0" "" f1 f2 "")
(setvar "osmode" 15359)
(princ)
)
 楼主| 发表于 2012-8-5 21:17 | 显示全部楼层
原来要这样,0后重复一次"_FILLET",不常规,搞死人了。
发表于 2012-8-5 22:40 | 显示全部楼层
(defun c:ff()
  (setvar "osmode" 0)
  (setq f1 (entsel) f2 (entsel))
  (setvar "FilletRAD" 0)
  (command "_FILLET" f1 f2)
  (setvar "osmode" 15359)
  (princ)
)
 楼主| 发表于 2012-8-7 19:38 | 显示全部楼层
谢谢长老!!!新手学习了!
发表于 2012-8-9 23:04 | 显示全部楼层
长老这个个与原命令没区别。。。该搞成。。框选一下就成哈
发表于 2012-10-18 19:55 | 显示全部楼层
不错,学习了,批量圆角时,我也碰到这问题了,最后也是根据这种思路解决了。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-11-20 20:07 , Processed in 0.192286 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表